# lambdaless | λ<
[![pipeline status](https://gitlab.com/Quantworks/lambdaless/badges/master/pipeline.svg)](https://gitlab.com/Quantworks/lambdaless/commits/master)
[![coverage report](https://gitlab.com/Quantworks/lambdaless/badges/master/coverage.svg)](https://gitlab.com/Quantworks/lambdaless/commits/master)

A lightweight framework for simplifying AWS Lambda functions, and Serverless :zap:.

### Install
`npm install @quantworks/lambdaless --save`


### Build, Test, & Docs
All in one:

```
# build
make all
```

or individually:

```
# clean up dist, docs, etc.
make clean

# compile ts
make build

# run tests
make test

# generate docs
make docs
```

### Test Build / Install
To test the build, just build the Dockerfile. If that succeeds then the build will likely succeed in your target environment, CI system, etc.
```
docker build -t lambdaless .
```

### Example Project
See `./example` for an example implementation. Run `./test.sh` to see it in action.

### License
MIT
