"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../http/errors");
// async decorators aren't supported yet, so just use strings.
function RoleAuth(roles) {
    return (target, key, callable) => {
        callable = callable || Object.getOwnPropertyDescriptor(target, key);
        let func = callable.value;
        callable.value = function () {
            let args = [].slice.call(arguments);
            // the meat of the decorator
            let req = args[0];
            if (req.data && roles.indexOf(req.data.role) < 0) {
                throw new errors_1.Unauthorized('You do not have permissions to access this resource.');
            }
            // end meat
            return func.apply(this, args);
        };
        return callable;
    };
}
exports.RoleAuth = RoleAuth;
//# sourceMappingURL=authorization.js.map