"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * An http response object.
 *
 * @export
 * @class Response
 */
class Response {
    /**
     * Creates an instance of Response.
     * @param {number} [code=200]
     * @param {object} [body={}]
     * @memberof Response
     */
    constructor(code = 200, body = {}) {
        this.headers = {
            'Content-Type': 'application/json'
        };
        this.code = code;
        this.body = body;
    }
    /**
     * Returns an object suitable for a serverless response.
     *
     * @returns any
     * @memberof Response
     */
    toLambdaResponse() {
        return {
            headers: this.headers,
            statusCode: this.code,
            body: JSON.stringify(this.body)
        };
    }
}
exports.Response = Response;
//# sourceMappingURL=response.js.map