import { Request, Response } from '../http';
/**
 * The base middleware class implemented by all middleware.
 *
 * @export
 * @class Middleware
 */
export declare class Middleware {
    /**
     * Processes a request and response object before they are handled.
     *
     * @param {Request} req
     * @param {Response} res
     * @returns {Promise<any>}
     * @memberof Middleware
     */
    processRequest: (req: Request, res: Response) => Promise<any>;
    /**
     * Processes a request and response object after they are handled.
     *
     * @param {Request} req
     * @param {Response} res
     * @returns {Promise<any>}
     * @memberof Middleware
     */
    processResponse: (req: Request, res: Response) => Promise<any>;
}
