"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The base middleware class implemented by all middleware.
 *
 * @export
 * @class Middleware
 */
class Middleware {
    constructor() {
        /**
         * Processes a request and response object before they are handled.
         *
         * @param {Request} req
         * @param {Response} res
         * @returns {Promise<any>}
         * @memberof Middleware
         */
        this.processRequest = (req, res) => __awaiter(this, void 0, void 0, function* () {
            return Promise.resolve();
        });
        /**
         * Processes a request and response object after they are handled.
         *
         * @param {Request} req
         * @param {Response} res
         * @returns {Promise<any>}
         * @memberof Middleware
         */
        this.processResponse = (req, res) => __awaiter(this, void 0, void 0, function* () {
            return Promise.resolve();
        });
    }
}
exports.Middleware = Middleware;
//# sourceMappingURL=middleware.js.map