import { expect } from 'chai';

import { Middleware } from '../../src/middleware';
import { Request, Response } from '../../src/http';
import { getMockAPIEvent } from '../support/mockapievent';


describe('A Middleware base class', () => {
    let middleware = new Middleware();
    let event = getMockAPIEvent();
    let request = new Request(event);
    let response = new Response();

    it('should have processRequest() accepting a request and response', async () => {
        expect(middleware.processRequest).to.exist;
        let _ = await middleware.processRequest(request, response);
    });

    it('should have processResponse() accepting a request and response', async () => {
        expect(middleware.processResponse).to.exist;
        let _ = await middleware.processResponse(request, response);
    });
});
