import * as pem from 'pem';
import * as jwt from 'jsonwebtoken';


export async function generateCerts(): Promise<any> {
    let options = {
        days: 1,
        selfSigned: true
    };
    return new Promise((resolve, reject) => {
        pem.createCertificate(options, (err, keys) => {
            if (err) {
                reject(err);
            }
            resolve(keys);
        });
    });
}

export function generateJWT(password: string) {
    let options = {
        algorithm: 'HS256',
        expiresIn: '1d'
    };
    return jwt.sign({}, password, options);
}

export function generateSignedJWT(pem: string) {
    let options = {
        algorithm: 'RS256',
        expiresIn: '1d'
    };
    return jwt.sign({}, pem, options);
}
