import { Request, Response } from '../http';

/**
 * The base middleware class implemented by all middleware.
 * 
 * @export
 * @class Middleware
 */
export class Middleware {

    /**
     * Processes a request and response object before they are handled.
     * 
     * @param {Request} req 
     * @param {Response} res 
     * @returns {Promise<any>} 
     * @memberof Middleware
     */
    processRequest = async (req: Request, res: Response): Promise<any> => {
        return Promise.resolve();
    };

    /**
     * Processes a request and response object after they are handled.
     * 
     * @param {Request} req 
     * @param {Response} res 
     * @returns {Promise<any>} 
     * @memberof Middleware
     */
    processResponse = async (req: Request, res: Response): Promise<any> => {
        return Promise.resolve();
    };
}
